<div class="wrap">
    <div class="white-header">
        <img width="200" src="<?php echo plugins_url("/".FIFTHINSIGHT_PLUGIN_URI."/assets/images/logofifthinsight.svg") ?>" alt="Logo Fifth Insight" class="fifthinsightlogo">
    </div>
    <div class="container mt-5">
        <div class="d-flex justify-content-between">
            <div>
                <p class="large">Hi <strong>Dave</strong>, It's comparison!</p>
            </div>
            <div>
	            <?php include (plugin_dir_path(dirname(__FILE__)). "includes/topbar.php"); ?>
            </div>
        </div>

	    <?php include (plugin_dir_path(dirname(__FILE__)). "includes/header.php"); ?>

        <div class="d-flex justify-content-around mt-5">
            <p class="report-compare">Old Report</p>
            <p class="vs">VS</p>
            <p class="report-compare">New Report</p>
        </div>

        <div class="row mt-5">
            <div class="col-md-6 col-lg-6" style="border-right: 1px dashed rgba(0, 0, 0, 0.5)">
                <p class="text-center xlarge font-weight-bold color-primary">Mobile</p>
                <div class="row">
                    <div class="col-md-12 col-lg-12">
                        <div class="circle average" id="circle-old-desk-avg">
                            <strong></strong>
                        </div>
                        <p class="text-center">Overall score</p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-old-desk-acc">
                            <strong></strong>
                        </div>
                        <p class="text-center">Accessibility</p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-old-desk-perf">
                            <strong></strong>
                        </div>
                        <p class="text-center">Performance</p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-old-desk-seo">
                            <strong></strong>
                        </div>
                        <p class="text-center">SEO</p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-old-desk-prac">
                            <strong></strong>
                        </div>
                        <p class="text-center">Best practises</p>
                    </div>
                </div>
                <p class="mt-3 text-center xlarge font-weight-bold color-primary">Desktop</p>
                <div class="row">
                    <div class="col-md-12 col-lg-12">
                        <div class="circle average" id="circle-old-mob-avg">
                            <strong></strong>
                        </div>
                        <p class="text-center">Overall score</p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-old-mob-acc">
                            <strong></strong>
                        </div>
                        <p class="text-center">Accessibility</p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-old-mob-perf">
                            <strong></strong>
                        </div>
                        <p class="text-center">Performance</p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-old-mob-seo">
                            <strong></strong>
                        </div>
                        <p class="text-center">SEO</p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-old-mob-prac">
                            <strong></strong>
                        </div>
                        <p class="text-center">Best practises</p>
                    </div>
                </div>
            </div>

            <div class="col-md-6 col-lg-6">
                <p class="text-center xlarge font-weight-bold color-primary">Mobile</p>
                <div class="row">
                    <div class="col-md-12 col-lg-12">
                        <div class="circle average" id="circle-new-desk-avg">
                            <strong></strong>
                        </div>
                        <p class="text-center">Overall score</p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-new-desk-acc">
                            <strong></strong>
                        </div>
                        <p class="text-center">Accessibility</p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-new-desk-perf">
                            <strong></strong>
                        </div>
                        <p class="text-center">Performance</p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-new-desk-seo">
                            <strong></strong>
                        </div>
                        <p class="text-center">SEO</p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-new-desk-prac">
                            <strong></strong>
                        </div>
                        <p class="text-center">Best practises</p>
                    </div>
                </div>
                <p class="mt-3 text-center xlarge font-weight-bold color-primary">Desktop</p>
                <div class="row">
                    <div class="col-md-12 col-lg-12">
                        <div class="circle average" id="circle-new-mob-avg">
                            <strong></strong>
                        </div>
                        <p class="text-center">Overall score</p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-new-mob-acc">
                            <strong></strong>
                        </div>
                        <p class="text-center">Accessibility</p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-new-mob-perf">
                            <strong></strong>
                        </div>
                        <p class="text-center">Performance</p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-new-mob-seo">
                            <strong></strong>
                        </div>
                        <p class="text-center">SEO</p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-new-mob-prac">
                            <strong></strong>
                        </div>
                        <p class="text-center">Best practises</p>
                    </div>
                </div>
            </div>
        </div>

	    <?php include (plugin_dir_path(dirname(__FILE__)). "includes/footer.php"); ?>


    </div>
</div>
<script>

jQuery(document).ready(function($){

    function checkValue(value){
        if(value <= 0.2){
            return '#E82E3D';
        } else if(value <= 0.4){
            return '#FF9900';
        } else if(value <= 0.6) {
            return '#FFD400';
        } else if(value <= 0.8) {
            return '#6ACE00';
        } else {
            return '#00AF14';
        }
    }

    function drawCircle(id, sizeCircle, val){
        $(id).circleProgress({
            value: val,
            size: sizeCircle,
            fill: {
                color: checkValue(val)
            }
        });
    }


    var progressBarOptions = {
        startAngle: -1.55,
        size: 100,
        value: 0.75,
        fill: {
            color: checkValue(0.75)
        }
    }

    $('.circle').circleProgress(progressBarOptions).on('circle-animation-progress', function(event, progress, stepValue) {
        stepValue = Math.floor(stepValue*100);
        $(this).find('strong').text(String(stepValue.toFixed(2)).replace(".00", ""));
    });

    report = ["new", "old"];
    strategy = ["desk", "mob"];
    var count = 0;
    var result = <?php echo json_encode($result); ?>

    for(var i=0; i<report.length; i++){

        for(var j=0; j<strategy.length; j++){
            drawCircle("#circle-"+ report[i] +"-"+ strategy[j] +"-acc", 100, result[count].accessibility);
            drawCircle("#circle-"+ report[i] +"-"+ strategy[j] +"-perf", 100, result[count].performance);
            drawCircle("#circle-"+ report[i] +"-"+ strategy[j] +"-avg", 170.5, result[count].avg);
            drawCircle("#circle-"+ report[i] +"-"+ strategy[j] +"-seo", 100, result[count].seo);
            drawCircle("#circle-"+ report[i] +"-"+ strategy[j] +"-prac", 100, result[count].prac);
            count++;
        }

    }


});

</script>