<div class="wrap">
    <div class="white-header">
        <img width="200" src="<?php echo plugins_url("/".FIFTHINSIGHT_PLUGIN_URI."/assets/images/logofifthinsight.svg") ?>" alt="Logo Fifth Insight" class="fifthinsightlogo">
    </div>
    <div class="container mt-5">
        <div class="d-flex justify-content-between">
            <div>
                <p class="large">Hi <strong>Dave</strong>, Happy Analytics!</p>
            </div>
			<div>
	            <?php include (plugin_dir_path(dirname(__FILE__)). "includes/topbar_.php"); ?>
            </div>
        </div><br>

        <?php echo $output; ?>

		<form action="admin-post.php" method="post" class="p-3 mt-5">
            <input type="hidden" name="action" value="fifth_insight_api_update" />
            <?php wp_nonce_field("fifth_insight_api_update") ?>
            <h3>Update your API Key</h3>
			<div class="form-group mr-2">
                <input value="<?php echo $api_key ?>" class="form-control" type="text" name="api_key" placeholder="Paste API Key" />
            </div>
            <div>
                <input type="submit" class="btn btn-primary back-primary" value="Update"/>
            </div>
		</form>
        <hr>

		<form action="admin-post.php" method="post" class="p-3 mt-3">
            <input type="hidden" name="action" value="fifth_insight_feedback" />
            <?php wp_nonce_field("fifth_insight_feedback") ?>
			<h3>Feedback</h3>
            <p>We would like your feedback to improve our Plugin</p>
			<div class="form-group mr-2">
                <input class="form-control" type="text" name="email" placeholder="Email" required />
            </div>
			<div class="form-group mr-2">
				<textarea class="form-control" rows="4" name="body" placeholder="Body here.."></textarea>
                
            </div>
            <div>
                <input type="submit" class="btn btn-primary back-primary" value="Send Feedback"/>
            </div>
		</form>
        <hr>
		<form action="admin-post.php" method="post" class="p-3 mt-3">
            <input type="hidden" name="action" value="fifth_insight_contact" />
            <?php wp_nonce_field("fifth_insight_contact") ?>
            <h3>Contact Us</h3>
            <p>We would like to solve your problems related to WordPress or any other technology. We are expert in  NodeJs, Machine Learning,  UI/UX, and so many. Let's build together.
            </p>
            <div class="form-group mr-2">
                <input class="form-control" type="text" name="email" placeholder="Email" />
            </div>
            <div class="form-group mr-2">
                <textarea class="form-control" rows="4" name="body" placeholder="Body here.."></textarea>

            </div>
		
            <div>
                <input type="submit" class="btn btn-primary back-primary" value="Let's Connect"/>
            </div>
		</form>


	    <?php include (plugin_dir_path(dirname(__FILE__)). "includes/footer.php"); ?>



    </div>
</div>