<div class="wrap">
    <div class="white-header">
        <img width="200" src="<?php echo plugins_url("/".FIFTHINSIGHT_PLUGIN_URI."/assets/images/logofifthinsight.svg") ?>" alt="Logo Fifth Insight" class="fifthinsightlogo">
    </div>
	<div class="container-fluid mt-5">
		<div class="d-flex justify-content-between">
			<div>
				<p class="large">Hi <strong>Dave</strong>, set up your page insight!</p>
			</div>
			<div>
				<?php include (plugin_dir_path(dirname(__FILE__)). "includes/topbar.php"); ?>
			</div>
		</div>

		<form action="admin-post.php" method="post" class="d-flex flex-column justify-content-center height-100">
            <p class="text-center"><?php echo $error; ?></p><br>
            <input type="hidden" name="action" value="fifth_insight_api_save" />
            <?php wp_nonce_field("fifth_insight_api_save") ?>
             <div>
                <div class="d-flex justify-content-center">
                    <div class="form-group mr-2">
                        <input class="form-control api-form" type="text" name="api_key" placeholder="Paste API Key" />
                    </div>
                    <div class="text-center ml-2">
                        <input type="submit" class="btn btn-lg center-btn-width btn-rounded" value="Connect"/>
                    </div>
                </div>
                <p class="text-center"><a href="#">Don't know how to create API?</a></p>
            </div>

		</form>

		<?php include (plugin_dir_path(dirname(__FILE__)). "includes/footer.php"); ?>

	</div>
</div>
