<?php

	function fifth_insight_delete_data_dir($path) {
		if(!empty($path) && is_dir($path) ){
			$dir  = new RecursiveDirectoryIterator($path, RecursiveDirectoryIterator::SKIP_DOTS); //upper dirs are not included,otherwise DISASTER HAPPENS :)
			$files = new RecursiveIteratorIterator($dir, RecursiveIteratorIterator::CHILD_FIRST);
			foreach ($files as $f) {if (is_file($f)) {unlink($f);} else {$empty_dirs[] = $f;} } if (!empty($empty_dirs)) {foreach ($empty_dirs as $eachDir) {rmdir($eachDir);}} rmdir($path);
		}
	}

	function fifth_insight_display_alert_msg( $value, $class ){

		$output = '';

		$output .= '
					<div class="alert '.$class.'  alert-dismissible fade show">
	                    <button type="button" class="close" data-dismiss="alert">&times;</button>
	                    '. $value .'
	                </div>
				';

		return $output;

	}

	function fifth_insight_get_navbar($active){
		global $submenu;
		$submenu_list = $submenu["analyze-performance"];
		array_shift($submenu_list);
		array_pop($submenu_list);
		$output = "";

		for($i=0;$i<sizeof($submenu_list);$i++){

			$output .= "<li class='nav-item shift-10 mx-4'>
                        	<a class='nav-link text-secondary' href='".admin_url()."admin.php?page=".$submenu_list[$i][2]."'>{$submenu_list[$i][0]}</a>
                    		<span class='".$active[$i]."'></span>
                    	</li>";

		}

		return $output;
	}

	function fifth_insight_get_full_report($array, $strategy){

		$output = array();

		foreach ($array as $row){

			if($row->strategy === $strategy){
				array_push($output, $row);
			}

		}

		return $output;
	}

	function fifth_insight_get_category_audits($array, $category){
		foreach ($array as $row){
			if($row->category === $category){
				return $row;
			}
		}

		return null;
	}

	function fifth_insight_display_table($array, $attr, $value = false){

		$output = "";
		if(isset($array->$attr)){

			foreach ($array->$attr as $row){

				$arr = explode("[Learn more]", $row->description);
				$output .= "<tr>";
				$output .= "<td>". $row->title ."</td>";
				$output .= "<td>". $arr[0] ."</td>";

				if($value){
					$output .= "<td>". $row->score ."</td>";
				}

				//$output .= "<td><a href='". substr($arr[1], 1, strlen($arr[1])-3) ."'>Learn More</a></td>";
				$output .= "</tr>";

			}

		}else{
			$output = false;
		}

		return $output;
	}

	function fifth_insight_check_audit_exists($array, $toggle){

		if(isset($array->audits)){
			return "<div class='mt-2'><a data-toggle='collapse' href='#". $toggle ."' class='color-primary ft-small'>More details</a></div>";
		}

		return "<div class='mt-2'>No audits available.</div>";
	}

	function fifth_insight_check_performance_params( $array, $param, $text, $id ){

		if(isset($array->audits[0]->$param)){

			return "
				
				<li class=\"list-group-item\">
                	<a class=\"text-secondary more-options\" data-toggle=\"collapse\" href=\"#". $id ."\">". $text ."</a>
                    <span class=\"ml-2 fa fa-angle-down\"></span>
                </li>
				
			";

		}

		return "";
	}

	function fifth_insight_send_mail($email, $message, $subject){

		$to = "sutardhiraj98@gmail.com";

		$headers = 'From: '. $email . "\r\n" .
					'Reply-To: ' . $email . "\r\n";
					
		$sent = wp_mail($to, $subject, $message, $headers);

		if($sent){
			return true;
		}

		return false;

	}